## rtl-433 19.08

=== src/CMakeLists.txt ===
########################################################################
# Build libraries and executables
########################################################################
add_executable(rtl_433
    abuf.c
    am_analyze.c
    baseband.c
    bitbuffer.c
    compat_paths.c
    compat_time.c
    confparse.c
    data.c
    decoder_util.c
    fileformat.c
    list.c
    mongoose.c
    optparse.c
    output_mqtt.c
    pulse_demod.c
    pulse_detect.c
    r_api.c
    r_util.c
    rtl_433.c
    samp_grab.c
    sdr.c
    term_ctl.c
    util.c
    devices/acurite.c
    devices/akhan_100F14.c
    devices/alecto.c
    devices/ambient_weather.c
    devices/ambientweather_tx8300.c
    devices/ambientweather_wh31e.c
    devices/blyss.c
    devices/brennenstuhl_rcs_2044.c
    devices/bresser_3ch.c
    devices/bresser_5in1.c
    devices/bt_rain.c
    devices/calibeur.c
    devices/cardin.c
    devices/chuango.c
    devices/companion_wtr001.c
    devices/current_cost.c
    devices/danfoss.c
    devices/digitech_xc0324.c
    devices/directv.c
    devices/dish_remote_6_3.c
    devices/dsc.c
    devices/ecowitt.c
    devices/efergy_e2_classic.c
    devices/efergy_optical.c
    devices/elro_db286a.c
    devices/elv.c
    devices/emontx.c
    devices/esa.c
    devices/esic_emt7110.c
    devices/esperanza_ews.c
    devices/eurochron.c
    devices/fineoffset.c
    devices/fineoffset_wh1050.c
    devices/fineoffset_wh1080.c
    devices/flex.c
    devices/fordremote.c
    devices/fs20.c
    devices/ft004b.c
    devices/ge_coloreffects.c
    devices/generic_motion.c
    devices/generic_remote.c
    devices/generic_temperature_sensor.c
    devices/gt_wt_02.c
    devices/hcs200.c
    devices/hideki.c
    devices/holman_ws5029.c
    devices/hondaremote.c
    devices/honeywell.c
    devices/honeywell_wdb.c
    devices/ht680.c
    devices/ibis_beacon.c
    devices/ikea_sparsnas.c
    devices/infactory.c
    devices/inovalley-kw9015b.c
    devices/interlogix.c
    devices/intertechno.c
    devices/kedsum.c
    devices/kerui.c
    devices/lacrosse.c
    devices/lacrosse_TX141TH_Bv2.c
    devices/lacrosse_tx35.c
    devices/lacrosse_ws7000.c
    devices/lacrossews.c
    devices/lightwave_rf.c
    devices/m_bus.c
    devices/maverick_et73.c
    devices/maverick_et73x.c
    devices/mebus.c
    devices/new_template.c
    devices/newkaku.c
    devices/nexa.c
    devices/nexus.c
    devices/oil_standard.c
    devices/oil_watchman.c
    devices/opus_xt300.c
    devices/oregon_scientific.c
    devices/oregon_scientific_sl109h.c
    devices/oregon_scientific_v1.c
    devices/philips_aj3650.c
    devices/philips_aj7010.c
    devices/prologue.c
    devices/proove.c
    devices/quhwa.c
    devices/radiohead_ask.c
    devices/rftech.c
    devices/rubicson.c
    devices/rubicson_48659.c
    devices/s3318p.c
    devices/schraeder.c
    devices/silvercrest.c
    devices/simplisafe.c
    devices/smoke_gs558.c
    devices/solight_te44.c
    devices/springfield.c
    devices/steelmate.c
    devices/tfa_30_3196.c
    devices/tfa_pool_thermometer.c
    devices/tfa_twin_plus_30.3049.c
    devices/thermopro_tp11.c
    devices/thermopro_tp12.c
    devices/tpms_citroen.c
    devices/tpms_ford.c
    devices/tpms_jansite.c
    devices/tpms_pmv107j.c
    devices/tpms_renault.c
    devices/tpms_toyota.c
    devices/ts_ft002.c
    devices/ttx201.c
    devices/vaillant_vrt340f.c
    devices/waveman.c
    devices/wg_pb12v1.c
    devices/wssensor.c
    devices/wt0124.c
    devices/wt450.c
    devices/x10_rf.c
    devices/x10_sec.c
)

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    SET_SOURCE_FILES_PROPERTIES(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format")
endif()
if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    SET_SOURCE_FILES_PROPERTIES(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format-pedantic -Wno-large-by-value-copy")
endif()

if(MSVC)
    # needs CMake 3.1 but Windows builds should have that
    target_sources(rtl_433 PRIVATE getopt/getopt.c)
endif()

add_library(data data.c abuf.c term_ctl.c mongoose.c)
target_link_libraries(data ${NET_LIBRARIES})

target_link_libraries(rtl_433
    ${SDR_LIBRARIES}
    ${NET_LIBRARIES}
)

set(INSTALL_TARGETS rtl_433)
if(UNIX)
target_link_libraries(rtl_433 m)
endif()

# Explicitly say that we want C99
set_property(TARGET rtl_433 PROPERTY C_STANDARD 99)

########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS ${INSTALL_TARGETS}
    RUNTIME DESTINATION bin              # .dll file
)

=== tests/CMakeLists.txt ===
########################################################################
# Compile test cases
########################################################################
add_executable(data-test data-test.c)

target_link_libraries(data-test data)

add_test(data-test data-test)

add_executable(baseband-test baseband-test.c ../src/baseband.c)

if(UNIX)
target_link_libraries(baseband-test m)
endif()

#add_test(baseband-test baseband-test)

########################################################################
# Define and build all unit tests
########################################################################
# target_compile_definitions was only added in CMake 2.8.11
add_definitions(-D_TEST)
foreach(testSrc bitbuffer.c fileformat.c optparse.c util.c)
    get_filename_component(testName ${testSrc} NAME_WE)

    add_executable(test_${testName} ../src/${testSrc})

    add_test(${testName}_test test_${testName})
endforeach(testSrc)

########################################################################
# Define integration tests
########################################################################
add_test(rtl_433_help ../src/rtl_433 -h)

########################################################################
# Define style checks
########################################################################
add_executable(style-check style-check.c)
file(GLOB STYLE_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c ../CMakeLists.txt ../*/CMakeLists.txt)
list(REMOVE_ITEM STYLE_CHECK_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
add_test(style-check style-check ${STYLE_CHECK_FILES})

=== debian/changelog ===
rtl-433 (19.08-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 20:32:53 +0200

rtl-433 (18.12+git20190808-2) unstable; urgency=medium

  * Also install config file examples.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 21:05:21 +0200

rtl-433 (18.12+git20190808-1) unstable; urgency=medium

  * Initial release. (Closes: #851309)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 08 Aug 2019 11:28:40 +0200

=== debian/control ===
Source: rtl-433
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
Standards-Version: 4.2.1
Homepage: https://github.com/merbanan/rtl_433

Package: rtl-433
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decode 433.9 Mhz data
 This is a program to decode traffic from devices that are broadcasting on
 433.9 MHz like temperature sensors.

Package: rtl-433-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Description: Documentation for decoder of 433.9 Mhz data
 This is the documentation for the program to decode traffic from devices
 that are broadcasting on 433.9 MHz like temperature sensors.

=== debian/rules ===
#!/usr/bin/make -f
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PKG_CONFIG_PATH=debian/
export VERSION=2018abc

%:
	dh $@

override_dh_compress:
	dh_compress -X.conf

## rtl-433 20.02

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
# Fix behavior of CMAKE_C_STANDARD when targeting macOS.
if(POLICY CMP0025)
    cmake_policy(SET CMP0025 NEW)
endif()
# Only interpret if() arguments as variables or keywords when unquoted.
if(POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
endif()

project(rtl433 C)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

########################################################################
# Get version info from Git
########################################################################
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_COMMIT)
if(GIT_COMMIT) # is a git repo
    # shorten branch spec
    string(REGEX REPLACE ".*/" "" GIT_BRANCH "${GIT_REFSPEC}")
    # use lightweight (non-annotated) tags
    git_describe(GIT_VERSION "--tags")
    git_timestamp(GIT_TIMESTAMP)
    message(STATUS "Found Git version: ${GIT_REFSPEC} commit ${GIT_COMMIT} from ${GIT_TIMESTAMP_ISO}")
    message(STATUS "Using Git version tag: ${GIT_VERSION} on ${GIT_BRANCH} at ${GIT_TIMESTAMP}")
    ADD_DEFINITIONS(-DGIT_VERSION=${GIT_VERSION})
    ADD_DEFINITIONS(-DGIT_BRANCH=${GIT_BRANCH})
    ADD_DEFINITIONS(-DGIT_TIMESTAMP=${GIT_TIMESTAMP})
endif()

########################################################################
# Compiler specific setup
########################################################################
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_C_STANDARD 99)
if(("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang") AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wno-missing-field-initializers)
    ADD_DEFINITIONS(-std=c99)
    ADD_DEFINITIONS(-pedantic)
    # for strdup, setenv, use either
    #ADD_DEFINITIONS(-D_POSIX_C_SOURCE=200809) # does not work with uClibc
    ADD_DEFINITIONS(-D_GNU_SOURCE)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)

    # CMake Release default for GCC/Clang is "-O3 -DNDEBUG"
    # set(CMAKE_C_FLAGS_RELEASE -O2)
    # CMake Debug default for GCC/Clang is "-g -DNDEBUG"
    # set(CMAKE_C_FLAGS_DEBUG -g3 -O0)
    # make use of ASAN
    set(CMAKE_C_FLAGS_DEBUG "-ggdb -fsanitize=undefined -fsanitize=address -fno-omit-frame-pointer")
endif()
if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    # make sure we don't accidentally copy more than an int
    ADD_DEFINITIONS(-Wlarge-by-value-copy=8)
endif()

# Shut MSVC up about strdup and strtok
if(MSVC)
    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-DNOMINMAX)
endif()

# Fix printf %zu
if(MINGW)
    add_definitions(-D__USE_MINGW_ANSI_STDIO)
endif()

########################################################################
# Find build dependencies
########################################################################
set(ENABLE_RTLSDR ON CACHE STRING "Enable RTL-SDR (lbrtlsdr) driver support")
set_property(CACHE ENABLE_RTLSDR PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_RTLSDR) # AUTO / ON

find_package(PkgConfig)
find_package(LibRTLSDR)
find_package(LibUSB)
if(LIBRTLSDR_FOUND AND LIBUSB_FOUND)
    message(STATUS "RTL-SDR device input will be compiled.")
    include_directories(${LIBRTLSDR_INCLUDE_DIRS} ${LIBUSB_INCLUDE_DIRS})
    list(APPEND SDR_LIBRARIES ${LIBRTLSDR_LIBRARIES} ${LIBUSB_LIBRARIES})
    ADD_DEFINITIONS(-DRTLSDR)
elseif(ENABLE_RTLSDR STREQUAL "AUTO")
    message(STATUS "RTL-SDR development files not found, RTL-SDR device input won't be possible.")
else()
    message(FATAL_ERROR "RTL-SDR development files not found.")
endif()

else()
    message(STATUS "RTL-SDR device input disabled.")
endif()

set(ENABLE_SOAPYSDR AUTO CACHE STRING "Enable SoapySDR driver support")
set_property(CACHE ENABLE_SOAPYSDR PROPERTY STRINGS AUTO ON OFF)
if(ENABLE_SOAPYSDR) # AUTO / ON

find_package(SoapySDR "0.6" NO_MODULE)
if(SoapySDR_FOUND)
    message(STATUS "SoapySDR device input will be compiled.")
    include_directories(${SoapySDR_INCLUDE_DIRS})
    list(APPEND SDR_LIBRARIES ${SoapySDR_LIBRARIES})
    ADD_DEFINITIONS(-DSOAPYSDR)
elseif(ENABLE_SOAPYSDR STREQUAL "AUTO")
    message(STATUS "SoapySDR development files not found, SoapySDR device input won't be possible.")
else()
    message(FATAL_ERROR "SoapySDR development files not found.")
endif()

else()
    message(STATUS "SoapySDR device input disabled.")
endif()

# cmake -DCMAKE_BUILD_TYPE=Profile ..
# CPUPROFILE=prof.out ./src/rtl_433 ...
# pprof -text ./src/rtl_433 prof.out
if("${CMAKE_BUILD_TYPE}" STREQUAL "Profile")
    message(STATUS "Build type set to Profile. Linking GPerfTools.")
    find_package(Gperftools REQUIRED)
    include_directories(${GPERFTOOLS_INCLUDE_DIR})
    list(APPEND SDR_LIBRARIES ${GPERFTOOLS_LIBRARIES} -Wl,-no_pie)
    ADD_DEFINITIONS(-g)
    ADD_DEFINITIONS(-fno-builtin-malloc)
    ADD_DEFINITIONS(-fno-builtin-calloc)
    ADD_DEFINITIONS(-fno-builtin-realloc)
    ADD_DEFINITIONS(-fno-builtin-free)
endif()

if(MINGW OR MSVC)
list(APPEND NET_LIBRARIES ws2_32 mswsock)
endif()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    BEFORE
    ${PROJECT_SOURCE_DIR}/include
)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Build documentation with Doxygen
########################################################################
option(BUILD_DOCUMENTATION "Create and install the HTML based API
documentation (requires Doxygen)" OFF)

find_package(Doxygen)
if(BUILD_DOCUMENTATION)
    if(NOT DOXYGEN_FOUND)
        message(FATAL_ERROR "Doxygen is needed to build the documentation.")
    endif()

    set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
    set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

    configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
    message(STATUS "Doxygen build started")

    # note the option ALL which allows to build the docs together with the application
    add_custom_target(doc_doxygen ALL
        COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_OUT}
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen"
        VERBATIM)
    #    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html DESTINATION share/doc)
endif()

########################################################################
# Build tests with analyzer
########################################################################
option(BUILD_TESTING_ANALYZER "Build the testing tree with static
analyzer (requires Clang)" OFF)

########################################################################
# Build tests
########################################################################
include(CTest) # note: this adds a BUILD_TESTING which defaults to ON

########################################################################
# Configure CI deploy
########################################################################
configure_file(${PROJECT_SOURCE_DIR}/.bintray.json ${CMAKE_CURRENT_BINARY_DIR}/bintray.json)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif(BUILD_TESTING)
add_subdirectory(conf)

# use space-separation format for the pc file
STRING(REPLACE ";" " " RTL433_PC_CFLAGS "${RTL433_PC_CFLAGS}")
STRING(REPLACE ";" " " RTL433_PC_LIBS "${RTL433_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(RTL433_PC_CFLAGS)
    UNSET(RTL433_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib)
set(includedir \${prefix}/include)

INSTALL(
    FILES
    DESTINATION lib/pkgconfig
)

install(DIRECTORY man
    DESTINATION share
    PATTERN ".md" EXCLUDE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 ########################################################################
 # Build libraries and executables
 ########################################################################
-add_executable(rtl_433
+# commodity libraries
+# consider -fvisibility=hidden
+# Proper object library type was only introduced with CMake 2.8.8
+add_library(r_433 STATIC
     abuf.c
     am_analyze.c
     baseband.c
@@ -15,22 +18,27 @@
     list.c
     mongoose.c
     optparse.c
+    output_influx.c
     output_mqtt.c
     pulse_demod.c
     pulse_detect.c
+    pulse_detect_fsk.c
     r_api.c
     r_util.c
-    rtl_433.c
     samp_grab.c
     sdr.c
     term_ctl.c
     util.c
+    write_sigrok.c
     devices/acurite.c
     devices/akhan_100F14.c
     devices/alecto.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
+    devices/archos_tbh.c
+    devices/auriol_afw2a1.c
+    devices/auriol_hg02832.c
     devices/blyss.c
     devices/brennenstuhl_rcs_2044.c
     devices/bresser_3ch.c
@@ -52,6 +60,7 @@
     devices/elro_db286a.c
     devices/elv.c
     devices/emontx.c
+    devices/ert.c
     devices/esa.c
     devices/esic_emt7110.c
     devices/esperanza_ews.c
@@ -67,7 +76,9 @@
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
+    devices/gt_tmbbq05.c
     devices/gt_wt_02.c
+    devices/gt_wt_03.c
     devices/hcs200.c
     devices/hideki.c
     devices/holman_ws5029.c
@@ -84,7 +95,7 @@
     devices/kedsum.c
     devices/kerui.c
     devices/lacrosse.c
-    devices/lacrosse_TX141TH_Bv2.c
+    devices/lacrosse_tx141x.c
     devices/lacrosse_tx35.c
     devices/lacrosse_ws7000.c
     devices/lacrossews.c
@@ -97,6 +108,7 @@
     devices/newkaku.c
     devices/nexa.c
     devices/nexus.c
+    devices/norgo.c
     devices/oil_standard.c
     devices/oil_watchman.c
     devices/opus_xt300.c
@@ -121,11 +133,13 @@
     devices/springfield.c
     devices/steelmate.c
     devices/tfa_30_3196.c
+    devices/tfa_drop_30.3233.c
     devices/tfa_pool_thermometer.c
     devices/tfa_twin_plus_30.3049.c
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
     devices/tpms_citroen.c
+    devices/tpms_elantra2012.c
     devices/tpms_ford.c
     devices/tpms_jansite.c
     devices/tpms_pmv107j.c
@@ -136,6 +150,7 @@
     devices/vaillant_vrt340f.c
     devices/waveman.c
     devices/wg_pb12v1.c
+    devices/ws2032.c
     devices/wssensor.c
     devices/wt0124.c
     devices/wt450.c
@@ -144,11 +159,14 @@
 )
 
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
-    SET_SOURCE_FILES_PROPERTIES(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format")
+    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format -Wno-format-security")
 endif()
 if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
-    SET_SOURCE_FILES_PROPERTIES(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format-pedantic -Wno-large-by-value-copy")
+    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format-pedantic -Wno-format-security -Wno-large-by-value-copy")
 endif()
+
+add_executable(rtl_433 rtl_433.c)
+target_link_libraries(rtl_433 r_433)
 
 if(MSVC)
     # needs CMake 3.1 but Windows builds should have that
@@ -169,7 +187,7 @@
 endif()
 
 # Explicitly say that we want C99
-set_property(TARGET rtl_433 PROPERTY C_STANDARD 99)
+set_target_properties(rtl_433 r_433 PROPERTIES C_STANDARD 99)
 
 ########################################################################
 # Install built library files & utilities

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -42,3 +42,23 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
 add_test(style-check style-check ${STYLE_CHECK_FILES})
+
+########################################################################
+# Define clang static analyzer checks
+########################################################################
+if(BUILD_TESTING_ANALYZER)
+file(GLOB ANALYZER_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c)
+list(REMOVE_ITEM ANALYZER_CHECK_FILES
+    "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
+add_test(clang-analyzer
+    ${CMAKE_CURRENT_SOURCE_DIR}/exitcode-for-output.sh
+    clang
+    -I${CMAKE_CURRENT_SOURCE_DIR}/../include
+    --analyze
+    -Xanalyzer
+    -analyzer-output=text
+    -Xanalyzer
+    -analyzer-disable-checker=deadcode.DeadStores
+    ${ANALYZER_CHECK_FILES})
+endif()

=== debian/changelog ===
rtl-433 (20.02-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.
  * d/rules: force cmake build.
  * d/examples: added.
  * d/control: drop rtl-433-doc package.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 13:08:21 +0100

rtl-433 (19.08-2) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Nov 2019 14:37:51 +0100

=== debian/control ===
Source: rtl-433
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
Homepage: https://github.com/merbanan/rtl_433

Package: rtl-433
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decode 433.9 Mhz data
 This is a program to decode traffic from devices that are broadcasting on
 433.9 MHz like temperature sensors.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,19 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PKG_CONFIG_PATH=debian/
-export VERSION=2018abc
+export VERSION=20.02
 
 %:
 	dh $@
 
+override_dh_autoreconf:
+	@echo disable autoreconf
+	echo 20.02 > .version
+	-mv configure.ac configure.ac.disabled
+	dh_auto_configure
+
 override_dh_compress:
 	dh_compress -X.conf
+
+override_dh_auto_install:
+	@echo skip install

## rtl-433 20.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,9 +49,6 @@
     ADD_DEFINITIONS(-Wall)
     ADD_DEFINITIONS(-Wextra)
     ADD_DEFINITIONS(-Wsign-compare)
-    ADD_DEFINITIONS(-Wno-unused)
-    ADD_DEFINITIONS(-Wno-unused-parameter)
-    ADD_DEFINITIONS(-Wno-missing-field-initializers)
     ADD_DEFINITIONS(-std=c99)
     ADD_DEFINITIONS(-pedantic)
     # for strdup, setenv, use either
@@ -182,6 +179,11 @@
 
     set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
     set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
+    if(DOXYGEN_DOT_FOUND)
+        set(HAVE_DOT "YES")
+    else()
+        set(HAVE_DOT "NO")
+    endif()
 
     configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)
     message(STATUS "Doxygen build started")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,16 +15,20 @@
     data.c
     decoder_util.c
     fileformat.c
+    http_server.c
+    jsmn.c
     list.c
     mongoose.c
     optparse.c
     output_influx.c
     output_mqtt.c
+    pulse_analyzer.c
     pulse_demod.c
     pulse_detect.c
     pulse_detect_fsk.c
     r_api.c
     r_util.c
+    rfraw.c
     samp_grab.c
     sdr.c
     term_ctl.c
@@ -43,24 +47,30 @@
     devices/brennenstuhl_rcs_2044.c
     devices/bresser_3ch.c
     devices/bresser_5in1.c
+    devices/bresser_6in1.c
+    devices/bresser_7in1.c
     devices/bt_rain.c
     devices/calibeur.c
     devices/cardin.c
     devices/chuango.c
     devices/companion_wtr001.c
+    devices/cotech_36_7959.c
     devices/current_cost.c
     devices/danfoss.c
     devices/digitech_xc0324.c
     devices/directv.c
     devices/dish_remote_6_3.c
     devices/dsc.c
+    devices/ecodhome.c
     devices/ecowitt.c
     devices/efergy_e2_classic.c
     devices/efergy_optical.c
+    devices/efth800.c
     devices/elro_db286a.c
     devices/elv.c
     devices/emontx.c
-    devices/ert.c
+    devices/ert_idm.c
+    devices/ert_scm.c
     devices/esa.c
     devices/esic_emt7110.c
     devices/esperanza_ews.c
@@ -90,13 +100,19 @@
     devices/ikea_sparsnas.c
     devices/infactory.c
     devices/inovalley-kw9015b.c
+    devices/insteon.c
     devices/interlogix.c
     devices/intertechno.c
     devices/kedsum.c
     devices/kerui.c
+    devices/klimalogg.c
     devices/lacrosse.c
+    devices/lacrosse_breezepro.c
+    devices/lacrosse_r1.c
+    devices/lacrosse_th3.c
     devices/lacrosse_tx141x.c
     devices/lacrosse_tx35.c
+    devices/lacrosse_wr1.c
     devices/lacrosse_ws7000.c
     devices/lacrossews.c
     devices/lightwave_rf.c
@@ -104,10 +120,12 @@
     devices/maverick_et73.c
     devices/maverick_et73x.c
     devices/mebus.c
+    devices/missil_ml0757.c
     devices/new_template.c
     devices/newkaku.c
     devices/nexa.c
     devices/nexus.c
+    devices/nice_flor_s.c
     devices/norgo.c
     devices/oil_standard.c
     devices/oil_watchman.c
@@ -126,18 +144,25 @@
     devices/rubicson_48659.c
     devices/s3318p.c
     devices/schraeder.c
+    devices/scmplus.c
+    devices/secplus_v2.c
+    devices/sharp_spc775.c
     devices/silvercrest.c
     devices/simplisafe.c
     devices/smoke_gs558.c
     devices/solight_te44.c
+    devices/somfy.c
     devices/springfield.c
     devices/steelmate.c
     devices/tfa_30_3196.c
+    devices/tfa_30_3221.c
     devices/tfa_drop_30.3233.c
     devices/tfa_pool_thermometer.c
     devices/tfa_twin_plus_30.3049.c
     devices/thermopro_tp11.c
     devices/thermopro_tp12.c
+    devices/thermopro_tx2.c
+    devices/tpms_abarth124.c
     devices/tpms_citroen.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
@@ -148,6 +173,7 @@
     devices/ts_ft002.c
     devices/ttx201.c
     devices/vaillant_vrt340f.c
+    devices/visonic_powercode.c
     devices/waveman.c
     devices/wg_pb12v1.c
     devices/ws2032.c
@@ -173,7 +199,7 @@
     target_sources(rtl_433 PRIVATE getopt/getopt.c)
 endif()
 
-add_library(data data.c abuf.c term_ctl.c mongoose.c)
+add_library(data data.c abuf.c term_ctl.c)
 target_link_libraries(data ${NET_LIBRARIES})
 
 target_link_libraries(rtl_433

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,8 @@
 add_executable(style-check style-check.c)
 file(GLOB STYLE_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c ../CMakeLists.txt ../*/CMakeLists.txt)
 list(REMOVE_ITEM STYLE_CHECK_FILES
+    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
     "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
 add_test(style-check style-check ${STYLE_CHECK_FILES})
@@ -49,6 +51,8 @@
 if(BUILD_TESTING_ANALYZER)
 file(GLOB ANALYZER_CHECK_FILES  ../include/*.h ../src/*.c ../src/devices/*.c)
 list(REMOVE_ITEM ANALYZER_CHECK_FILES
+    "${CMAKE_CURRENT_SOURCE_DIR}/../include/jsmn.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/../src/jsmn.c"
     "${CMAKE_CURRENT_SOURCE_DIR}/../include/mongoose.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/../src/mongoose.c")
 add_test(clang-analyzer

=== debian/changelog ===
rtl-433 (20.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 13 Nov 2020 15:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: hamradio
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
+Build-Depends: debhelper-compat (= 13), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,17 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PKG_CONFIG_PATH=debian/
-export VERSION=20.02
+export VERSION=20.11
 
 %:
 	dh $@
 
 override_dh_autoreconf:
 	@echo disable autoreconf
-	echo 20.02 > .version
+	echo 20.11 > .version
 	-mv configure.ac configure.ac.disabled
 	dh_auto_configure

## rtl-433 21.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,26 @@
 endif()
 
 ########################################################################
+# Fallback to get release version info from Changelog
+########################################################################
+if(NOT GIT_COMMIT AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md")
+    # parse the CHANGELOG.md, this is clever, i.e. might go wrong ;)
+    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md" CHANGELOG LIMIT_COUNT 42)
+    # list(FILTER ...) needs CMake 3.6+
+    foreach(item ${CHANGELOG})
+        string(REGEX MATCH "^## Release (.+)" item ${item})
+        if(CMAKE_MATCH_1)
+            list(APPEND RELEASE_VERSIONS ${CMAKE_MATCH_1})
+        endif()
+    endforeach()
+    if(RELEASE_VERSIONS)
+        list(GET RELEASE_VERSIONS 0 RELEASE_VERSION)
+        message(STATUS "Found Release version: ${RELEASE_VERSION}")
+        ADD_DEFINITIONS(-DGIT_VERSION=${RELEASE_VERSION})
+    endif()
+endif()
+
+########################################################################
 # Compiler specific setup
 ########################################################################
 set(CMAKE_C_EXTENSIONS OFF)
@@ -48,9 +68,17 @@
 if(("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang") AND NOT WIN32)
     ADD_DEFINITIONS(-Wall)
     ADD_DEFINITIONS(-Wextra)
+    ADD_DEFINITIONS(-Wvla)
     ADD_DEFINITIONS(-Wsign-compare)
     ADD_DEFINITIONS(-std=c99)
     ADD_DEFINITIONS(-pedantic)
+    ADD_DEFINITIONS(-Wshadow)
+    ADD_DEFINITIONS(-Wmissing-prototypes)
+    ADD_DEFINITIONS(-Wimplicit-fallthrough)
+    #ADD_DEFINITIONS(-Wfloat-equal)
+    #ADD_DEFINITIONS(-Wbad-function-cast)
+    #ADD_DEFINITIONS(-Wdocumentation)
+
     # for strdup, setenv, use either
     #ADD_DEFINITIONS(-D_POSIX_C_SOURCE=200809) # does not work with uClibc
     ADD_DEFINITIONS(-D_GNU_SOURCE)
@@ -81,8 +109,49 @@
     add_definitions(-D__USE_MINGW_ANSI_STDIO)
 endif()
 
-########################################################################
-# Find build dependencies
+# Make sure we get M_PI
+if(WIN32)
+    add_definitions(-D_USE_MATH_DEFINES)
+endif()
+
+########################################################################
+# Option to force ANSI-colored build output (for Ninja)
+########################################################################
+option(FORCE_COLORED_BUILD "Always produce ANSI-colored build output (GNU/Clang only)." FALSE)
+if(FORCE_COLORED_BUILD)
+    if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+       add_compile_options(-fdiagnostics-color=always)
+    elseif("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
+       add_compile_options(-fcolor-diagnostics)
+    endif()
+endif()
+
+########################################################################
+# Find OpenSSL build dependencies
+########################################################################
+set(ENABLE_OPENSSL AUTO CACHE STRING "Enable OpenSSL TLS support")
+set_property(CACHE ENABLE_OPENSSL PROPERTY STRINGS AUTO ON OFF)
+if(ENABLE_OPENSSL) # AUTO / ON
+
+find_package(OpenSSL)
+if(OPENSSL_FOUND)
+    message(STATUS "OpenSSL TLS support will be compiled. Found version ${OPENSSL_VERSION}")
+    include_directories(${OPENSSL_INCLUDE_DIR})
+    list(APPEND SDR_LIBRARIES ${OPENSSL_LIBRARIES})
+    ADD_DEFINITIONS(-DOPENSSL)
+    ADD_DEFINITIONS(-DMG_ENABLE_SSL)
+elseif(ENABLE_OPENSSL STREQUAL "AUTO")
+    message(STATUS "OpenSSL development files not found, TLS won't be possible.")
+else()
+    message(FATAL_ERROR "OpenSSL development files not found.")
+endif()
+
+else()
+    message(STATUS "OpenSSL TLS disabled.")
+endif()
+
+########################################################################
+# Find LibRTLSDR build dependencies
 ########################################################################
 set(ENABLE_RTLSDR ON CACHE STRING "Enable RTL-SDR (lbrtlsdr) driver support")
 set_property(CACHE ENABLE_RTLSDR PROPERTY STRINGS AUTO ON OFF)
@@ -91,11 +160,21 @@
 find_package(PkgConfig)
 find_package(LibRTLSDR)
 find_package(LibUSB)
-if(LIBRTLSDR_FOUND AND LIBUSB_FOUND)
-    message(STATUS "RTL-SDR device input will be compiled.")
-    include_directories(${LIBRTLSDR_INCLUDE_DIRS} ${LIBUSB_INCLUDE_DIRS})
-    list(APPEND SDR_LIBRARIES ${LIBRTLSDR_LIBRARIES} ${LIBUSB_LIBRARIES})
+if(LibRTLSDR_FOUND)
+    message(STATUS "RTL-SDR device input will be compiled. Found version ${LibRTLSDR_VERSION}")
+    include_directories(${LibRTLSDR_INCLUDE_DIRS})
+    list(APPEND SDR_LIBRARIES ${LibRTLSDR_LIBRARIES})
     ADD_DEFINITIONS(-DRTLSDR)
+
+if(LibUSB_FOUND)
+    message(STATUS "libusb-1.0 error messages are available. Found version ${LibUSB_VERSION}")
+    include_directories(${LibUSB_INCLUDE_DIRS})
+    list(APPEND SDR_LIBRARIES ${LibUSB_LIBRARIES})
+    ADD_DEFINITIONS(-DLIBUSB1)
+else()
+    message(STATUS "libusb-1.0 error messages are not available.")
+endif()
+
 elseif(ENABLE_RTLSDR STREQUAL "AUTO")
     message(STATUS "RTL-SDR development files not found, RTL-SDR device input won't be possible.")
 else()
@@ -106,13 +185,16 @@
     message(STATUS "RTL-SDR device input disabled.")
 endif()
 
+########################################################################
+# Find SoapySDR build dependencies
+########################################################################
 set(ENABLE_SOAPYSDR AUTO CACHE STRING "Enable SoapySDR driver support")
 set_property(CACHE ENABLE_SOAPYSDR PROPERTY STRINGS AUTO ON OFF)
 if(ENABLE_SOAPYSDR) # AUTO / ON
 
 find_package(SoapySDR "0.6" NO_MODULE)
 if(SoapySDR_FOUND)
-    message(STATUS "SoapySDR device input will be compiled.")
+    message(STATUS "SoapySDR device input will be compiled. Found version ${SoapySDR_VERSION}")
     include_directories(${SoapySDR_INCLUDE_DIRS})
     list(APPEND SDR_LIBRARIES ${SoapySDR_LIBRARIES})
     ADD_DEFINITIONS(-DSOAPYSDR)
@@ -126,6 +208,9 @@
     message(STATUS "SoapySDR device input disabled.")
 endif()
 
+########################################################################
+# Setup optional Profiling with GPerfTools
+########################################################################
 # cmake -DCMAKE_BUILD_TYPE=Profile ..
 # CPUPROFILE=prof.out ./src/rtl_433 ...
 # pprof -text ./src/rtl_433 prof.out
@@ -141,13 +226,13 @@
     ADD_DEFINITIONS(-fno-builtin-free)
 endif()
 
+########################################################################
+# Setup the include and linker paths
+########################################################################
 if(MINGW OR MSVC)
 list(APPEND NET_LIBRARIES ws2_32 mswsock)
 endif()
 
-########################################################################
-# Setup the include and linker paths
-########################################################################
 include_directories(
     BEFORE
     ${PROJECT_SOURCE_DIR}/include
@@ -209,11 +294,6 @@
 include(CTest) # note: this adds a BUILD_TESTING which defaults to ON
 
 ########################################################################
-# Configure CI deploy
-########################################################################
-configure_file(${PROJECT_SOURCE_DIR}/.bintray.json ${CMAKE_CURRENT_BINARY_DIR}/bintray.json)
-
-########################################################################
 # Add subdirectories
 ########################################################################
 add_subdirectory(include)
@@ -236,13 +316,3 @@
 set(prefix ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix \${prefix})
 set(libdir \${exec_prefix}/lib)
-set(includedir \${prefix}/include)
-
-INSTALL(
-    FILES
-    DESTINATION lib/pkgconfig
-)
-
-install(DIRECTORY man
-    DESTINATION share
-    PATTERN ".md" EXCLUDE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,12 @@
     am_analyze.c
     baseband.c
     bitbuffer.c
+    compat_alarm.c
     compat_paths.c
     compat_time.c
     confparse.c
     data.c
+    data_tag.c
     decoder_util.c
     fileformat.c
     http_server.c
@@ -20,8 +22,10 @@
     list.c
     mongoose.c
     optparse.c
+    output_file.c
     output_influx.c
     output_mqtt.c
+    output_udp.c
     pulse_analyzer.c
     pulse_demod.c
     pulse_detect.c
@@ -34,15 +38,22 @@
     term_ctl.c
     util.c
     write_sigrok.c
+    devices/abmt.c
     devices/acurite.c
+    devices/acurite_01185m.c
     devices/akhan_100F14.c
     devices/alecto.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
     devices/archos_tbh.c
+    devices/atech_ws308.c
+    devices/auriol_4ld5661.c
+    devices/auriol_aft77b2.c
     devices/auriol_afw2a1.c
+    devices/auriol_ahfl.c
     devices/auriol_hg02832.c
+    devices/blueline.c
     devices/blyss.c
     devices/brennenstuhl_rcs_2044.c
     devices/bresser_3ch.c
@@ -50,9 +61,12 @@
     devices/bresser_6in1.c
     devices/bresser_7in1.c
     devices/bt_rain.c
+    devices/burnhardbbq.c
     devices/calibeur.c
     devices/cardin.c
+    devices/cavius.c
     devices/chuango.c
+    devices/cmr113.c
     devices/companion_wtr001.c
     devices/cotech_36_7959.c
     devices/current_cost.c
@@ -69,6 +83,7 @@
     devices/elro_db286a.c
     devices/elv.c
     devices/emontx.c
+    devices/enocean_erp1.c
     devices/ert_idm.c
     devices/ert_scm.c
     devices/esa.c
@@ -78,14 +93,17 @@
     devices/fineoffset.c
     devices/fineoffset_wh1050.c
     devices/fineoffset_wh1080.c
+    devices/fineoffset_wh31l.c
     devices/flex.c
     devices/fordremote.c
     devices/fs20.c
     devices/ft004b.c
+    devices/funkbus.c
     devices/ge_coloreffects.c
     devices/generic_motion.c
     devices/generic_remote.c
     devices/generic_temperature_sensor.c
+    devices/govee.c
     devices/gt_tmbbq05.c
     devices/gt_wt_02.c
     devices/gt_wt_03.c
@@ -94,15 +112,18 @@
     devices/holman_ws5029.c
     devices/hondaremote.c
     devices/honeywell.c
+    devices/honeywell_cm921.c
     devices/honeywell_wdb.c
     devices/ht680.c
     devices/ibis_beacon.c
     devices/ikea_sparsnas.c
     devices/infactory.c
+    devices/inkbird_ith20r.c
     devices/inovalley-kw9015b.c
     devices/insteon.c
     devices/interlogix.c
     devices/intertechno.c
+    devices/jasco.c
     devices/kedsum.c
     devices/kerui.c
     devices/klimalogg.c
@@ -111,15 +132,19 @@
     devices/lacrosse_r1.c
     devices/lacrosse_th3.c
     devices/lacrosse_tx141x.c
+    devices/lacrosse_tx34.c
     devices/lacrosse_tx35.c
     devices/lacrosse_wr1.c
     devices/lacrosse_ws7000.c
     devices/lacrossews.c
     devices/lightwave_rf.c
     devices/m_bus.c
+    devices/markisol.c
+    devices/marlec_solar.c
     devices/maverick_et73.c
     devices/maverick_et73x.c
     devices/mebus.c
+    devices/megacode.c
     devices/missil_ml0757.c
     devices/new_template.c
     devices/newkaku.c
@@ -135,28 +160,35 @@
     devices/oregon_scientific_v1.c
     devices/philips_aj3650.c
     devices/philips_aj7010.c
+    devices/proflame2.c
     devices/prologue.c
     devices/proove.c
     devices/quhwa.c
     devices/radiohead_ask.c
+    devices/rainpoint.c
     devices/rftech.c
+    devices/rojaflex.c
     devices/rubicson.c
     devices/rubicson_48659.c
     devices/s3318p.c
     devices/schraeder.c
     devices/scmplus.c
+    devices/secplus_v1.c
     devices/secplus_v2.c
     devices/sharp_spc775.c
     devices/silvercrest.c
     devices/simplisafe.c
     devices/smoke_gs558.c
     devices/solight_te44.c
-    devices/somfy.c
+    devices/somfy_iohc.c
+    devices/somfy_rts.c
     devices/springfield.c
     devices/steelmate.c
+    devices/telldus_ft0385r.c
     devices/tfa_30_3196.c
     devices/tfa_30_3221.c
     devices/tfa_drop_30.3233.c
+    devices/tfa_marbella.c
     devices/tfa_pool_thermometer.c
     devices/tfa_twin_plus_30.3049.c
     devices/thermopro_tp11.c
@@ -166,10 +198,14 @@
     devices/tpms_citroen.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
+    devices/tpms_hyundai_vdo.c
     devices/tpms_jansite.c
+    devices/tpms_jansite_solar.c
     devices/tpms_pmv107j.c
+    devices/tpms_porsche.c
     devices/tpms_renault.c
     devices/tpms_toyota.c
+    devices/tpms_truck.c
     devices/ts_ft002.c
     devices/ttx201.c
     devices/vaillant_vrt340f.c
@@ -184,11 +220,9 @@
     devices/x10_sec.c
 )
 
-if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
-    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format -Wno-format-security")
-endif()
-if("${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
-    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-Wno-format-pedantic -Wno-format-security -Wno-large-by-value-copy")
+if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
+    # untouched upstream code, disable all warnings
+    set_source_files_properties(mongoose.c PROPERTIES COMPILE_FLAGS "-w")
 endif()
 
 add_executable(rtl_433 rtl_433.c)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ########################################################################
 # Compile test cases
 ########################################################################
-add_executable(data-test data-test.c)
+add_executable(data-test data-test.c ../src/output_file.c)
 
 target_link_libraries(data-test data)

=== debian/changelog ===
rtl-433 (21.12-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Bump debhelper version to 13, drop d/compat.
  * Update maintainer address.
  * d/copyright: bump copyright years.

  [ Christoph Berg ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gürkan Myczko <tar@debian.org>  Tue, 14 Dec 2021 18:30:32 +0100

rtl-433 (20.02-2) unstable; urgency=medium

  * Add a small patch to improve performance.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 18 Feb 2020 08:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: rtl-433
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), librtlsdr-dev, cmake, libsoapysdr-dev, pkg-config, doxygen
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/rtl-433.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/rtl-433
 Homepage: https://github.com/merbanan/rtl_433

## rtl-433 21.12+git20220718+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,16 @@
     output_file.c
     output_influx.c
     output_mqtt.c
+    output_rtltcp.c
+    output_trigger.c
     output_udp.c
     pulse_analyzer.c
-    pulse_demod.c
     pulse_detect.c
     pulse_detect_fsk.c
+    pulse_slicer.c
     r_api.c
     r_util.c
+    raw_output.c
     rfraw.c
     samp_grab.c
     sdr.c
@@ -43,9 +46,11 @@
     devices/acurite_01185m.c
     devices/akhan_100F14.c
     devices/alecto.c
+    devices/altronics_x7064.c
     devices/ambient_weather.c
     devices/ambientweather_tx8300.c
     devices/ambientweather_wh31e.c
+    devices/ant_antplus.c
     devices/archos_tbh.c
     devices/atech_ws308.c
     devices/auriol_4ld5661.c
@@ -83,6 +88,8 @@
     devices/elro_db286a.c
     devices/elv.c
     devices/emontx.c
+    devices/emos_e6016.c
+    devices/emos_e6016_rain.c
     devices/enocean_erp1.c
     devices/ert_idm.c
     devices/ert_scm.c
@@ -94,6 +101,8 @@
     devices/fineoffset_wh1050.c
     devices/fineoffset_wh1080.c
     devices/fineoffset_wh31l.c
+    devices/fineoffset_wh45.c
+    devices/fineoffset_ws80.c
     devices/flex.c
     devices/fordremote.c
     devices/fs20.c
@@ -166,6 +175,7 @@
     devices/quhwa.c
     devices/radiohead_ask.c
     devices/rainpoint.c
+    devices/regency_fan.c
     devices/rftech.c
     devices/rojaflex.c
     devices/rubicson.c
@@ -178,6 +188,7 @@
     devices/sharp_spc775.c
     devices/silvercrest.c
     devices/simplisafe.c
+    devices/simplisafe_gen3.c
     devices/smoke_gs558.c
     devices/solight_te44.c
     devices/somfy_iohc.c
@@ -195,6 +206,7 @@
     devices/thermopro_tp12.c
     devices/thermopro_tx2.c
     devices/tpms_abarth124.c
+    devices/tpms_ave.c
     devices/tpms_citroen.c
     devices/tpms_elantra2012.c
     devices/tpms_ford.c
@@ -204,6 +216,7 @@
     devices/tpms_pmv107j.c
     devices/tpms_porsche.c
     devices/tpms_renault.c
+    devices/tpms_renault_0435r.c
     devices/tpms_toyota.c
     devices/tpms_truck.c
     devices/ts_ft002.c
@@ -218,6 +231,7 @@
     devices/wt450.c
     devices/x10_rf.c
     devices/x10_sec.c
+    devices/yale_hsa.c
 )
 
 if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
@@ -228,12 +242,21 @@
 add_executable(rtl_433 rtl_433.c)
 target_link_libraries(rtl_433 r_433)
 
+# target_compile_definitions was only added with CMake 2.8.11
+if(THREADS_HAVE_PTHREAD_ARG)
+    set_target_properties(r_433 PROPERTIES COMPILE_OPTIONS "-pthread")
+    set_target_properties(r_433 PROPERTIES INTERFACE_COMPILE_OPTIONS "-pthread")
+endif()
+if(CMAKE_THREAD_LIBS_INIT)
+    target_link_libraries(rtl_433 "${CMAKE_THREAD_LIBS_INIT}")
+endif()
+
 if(MSVC)
     # needs CMake 3.1 but Windows builds should have that
     target_sources(rtl_433 PRIVATE getopt/getopt.c)
 endif()
 
-add_library(data data.c abuf.c term_ctl.c)
+add_library(data data.c abuf.c)
 target_link_libraries(data ${NET_LIBRARIES})
 
 target_link_libraries(rtl_433

=== debian/changelog ===
rtl-433 (21.12+git20220718+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Jul 2022 09:53:50 +0200

rtl-433 (21.12+git20220718+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1008000, #1009788)
    (Addresses CVE-2022-25050, CVE-2022-25051, CVE-2022-27419)

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Jul 2022 14:36:55 +0200
